<!--The content below is only a placeholder and can be replaced.-->
<form [formGroup]="formdata" novalidate (ngSubmit)="addDog(formdata.value, formDirective)" #formDirective="ngForm">
    <div class="formcontrol">
      <mat-form-field>
          <input matInput type='text' name='text' formControlName="fullname" placeholder='FullName'>
          <mat-error *ngIf="formdata.invalid">Fullname is required</mat-error>
        </mat-form-field>
    </div>
   
    <div class="formcontrol">
      <mat-form-field>
          <input matInput type='text' name='text' formControlName="rasa" placeholder='Rasa'>
          <mat-error *ngIf="formdata.invalid">Rasa is required</mat-error>
        </mat-form-field>
    </div>
  <button mat-raised-button color="primary" type='submit'>Submit</button>
</form>

<div class='dog-list'>
  <ul>
    <div class='dog' *ngFor="let dog of dogs.dogs" > 
      <mat-checkbox>mat</mat-checkbox>
      <p>FullName: {{ dog.fullname }}</p> 
      <p>Rasa: {{ dog.rasa }}</p> 
      <button mat-raised-button color="primary" class="delete" title="delete dog" (click)="delete(dog)">Delete Dog</button>
      <button mat-raised-button color="primary" class='edit' (click)='hideme[dog.id] = !hideme[dog.id]'>Edit Dog</button>
      <div class='edit-dogs' [ngClass]="{toggle: hideme[dog.id]}">
        <form autocomplete='off' class='editGroupForm' [formGroup]="formdata" novalidate (ngSubmit)='editDog(dog)'>
          <mat-form-field>
            <input matInput type="text" name='fullname' placeholder="Edit Name" required formControlName="fullname">
          </mat-form-field>
          <mat-form-field>
            <input matInput type="text" placeholder="Edit Rasa" required formControlName="rasa">
          </mat-form-field>

          <button mat-raised-button color="primary" type='submit' [disabled]="formdata.invalid">Edit Dog</button>
          <button mat-raised-button color="primary" (click)='hideme[dog.id] = !hideme[dog.id]'>Close Edit</button>
        </form>

        <form autocomplete='off' class='editGroupForm' [formGroup]="formdata" novalidate (ngSubmit)='patchDog(dog)'>
          <mat-form-field>
            <input matInput type="text" name='fullname' placeholder="Patch Name" required formControlName="fullname">
          </mat-form-field>
          <button mat-raised-button color="primary" type='submit'>Patch Dog</button>
          <button mat-raised-button color="primary" (click)='hideme[dog.id] = !hideme[dog.id]'>Close Edit</button>
        </form>

      </div> 
    </div>
  </ul>
</div>

<!-- 
<br/>
<div>
  <span *ngIf = "isavailable; then condition1 else condition2">
     Condition is valid.
  </span>
  <ng-template #condition1>Condition is valid</ng-template>
  <ng-template #condition2>Condition is invalid</ng-template>
</div>
<button (click)="myClickFunction($event)">
  Click Me
</button> -->
<!-- <div> Months :
  <select (change)= "changemonths($event)">
     <option *ngFor = "let i of months">{{i}}</option>
  </select>
</div> -->